
global_keys = {
    'abort shutdown script' : None,
    'addprinter command' : None,
    'add share command' : None,
    'add user script' : None,
    'allow trusted domains' : None,
    'announce as' : None,
    'announce version' : None,
    'bind interfaces only' : None,
    'browse list' : None,
    'change notify timeout' : None,
    'change share command' : None,
    'character set' : None,
    'client code page' : None,
    'code page directory' : None,
    'coding system' : None,
    'config file' : None,
    'deadtime' : None,
    'debug hires timestamp' : None,
    'debug pid' : None,
    'debug timestamp' : None,
    'debug uid' : None,
    'default service' : None,
    'deleteprinter command' : None,
    'delete share command' : None,
    'delete user script' : None,
    'dfree command' : None,
    'disable spoolss' : None,
    'dns proxy' : None,
    'domain admin group' : None,
    'domain guest group' : None,
    'domain logons' : None,
    'domain master' : None,
    'encrypt passwords' : "No",
    'enhanced browsing' : None,
    'enumports command' : None,
    'getwd cache' : None,
    'hide local users' : None,
    'hide unreadable' : None,
    'homedir map' : None,
    'host msdfs' : None,
    'hosts equiv' : None,
    'interfaces' : None,
    'keepalive' : None,
    'kernel oplocks' : None,
    'lanman auth' : None,
    'large readwrite' : None,
    'ldap admin dn' : None,
    'ldap filter' : None,
    'ldap port' : None,
    'ldap server' : None,
    'ldap ssl' : None,
    'ldap suffix' : None,
    'lm announce' : None,
    'lm interval' : None,
    'load printers' : None,
    'local master' : None,
    'lock directory' : None,
    'log file' : None,
    'log level' : None,
    'logon drive' : None,
    'logon home' : None,
    'logon path' : None,
    'logon script' : None,
    'lpq cache time' : None,
    'machine password timeout' : None,
    'mangled stack' : None,
    'map to guest' : None,
    'max disk size' : None,
    'max log size' : None,
    'max mux' : None,
    'max open files' : None,
    'max protocol' : None,
    'max smbd processes' : None,
    'max ttl' : None,
    'max wins ttl' : None,
    'max xmit' : None,
    'message command' : None,
    'min password length' : None,
    'min protocol' : None,
    'min wins ttl' : None,
    'name resolve order' : None,
    'netbios aliases' : None,
    'netbios name' : None,
    'netbios scope' : None,
    'NIS homedir' : None,
    'nt pipe support' : None,
    'nt smb support' : None,
    'null passwords' : None,
    'obey pam restrictions' : None,
    'oplock break wait time' : None,
    'os level' : None,
    'os2 driver map' : None,
    'pam password change' : None,
    'panic action' : None,
    'passwd chat' : None,
    'passwd chat debug' : None,
    'passwd program' : None,
    'password level' : None,
    'password server' : "None",
    'preferred master' : None,
    'preload' : None,
    'printcap name' : None,
    'printer driver file' : None,
    'read bmpx' : None,
    'read raw' : None,
    'read size' : None,
    'remote announce' : None,
    'remote browse sync' : None,
    'restrict anonymous' : None,
    'root directory' : None,
    'security' : "USER",
    'server string' : "Samba %v",
    'show add printer wizard' : None,
    'shutdown script' : None,
    'smb passwd file' : None,
    'socket address' : None,
    'socket options' : None,
    'source environment' : None,
    'ssl' : None,
    'ssl CA certDir' : None,
    'ssl CA certFile' : None,
    'ssl ciphers' : None,
    'ssl client cert' : None,
    'ssl client key' : None,
    'ssl compatibility' : None,
    'ssl egd socket' : None,
    'ssl entropy bytes' : None,
    'ssl entropy file' : None,
    'ssl hosts resign' : None,
    'ssl require clientcert' : None,
    'ssl require servercert' : None,
    'ssl server cert' : None,
    'ssl server key' : None,
    'ssl version' : None,
    'stat cache' : None,
    'stat cache size' : None,
    'strip dot' : None,
    'syslog' : None,
    'syslog only' : None,
    'template homedir' : None,
    'template shell' : None,
    'time offset' : None,
    'time server' : None,
    'timestamp logs' : None,
    'total print jobs' : None,
    'unix extensions' : None,
    'unix password sync' : None,
    'update encrypted' : "No",
    'use mmap' : None,
    'use rhosts' : None,
    'username level' : None,
    'username map' : "None",
    'utmp' : None,
    'utmp directory' : None,
    'valid chars' : None,
    'winbind cache time' : None,
    'winbind enum users' : None,
    'winbind enum groups' : None,
    'winbind gid' : None,
    'winbind separator' : None,
    'winbind uid' : None,
    'wins hook' : None,
    'wins proxy' : None,
    'wins server' : None,
    'wins support' : None,
    'workgroup' : "WORKGROUP",
    'write raw' : None,
    }

section_keys = {
    'admin users' : None,
    'available' : None,
    'blocking locks' : None,
    'browseable' : None,
    'case sensitive' : None,
    'comment' : None,
    'copy' : None,
    'create mask' : 0744,
    'create mode' : 0744,
    'default case' : None,
    'default devmode' : None,
    'delete readonly' : None,
    'delete veto files' : None,
    'directory mask' : 0755,
    'directory mode' : 0755,
    'directory security mask' : None,
    'dont descend' : None,
    'dos filemode' : None,
    'dos filetime resolution' : None,
    'dos filetimes' : None,
    'exec ' : None,
    'fake directory create times' : None,
    'fake oplocks' : None,
    'follow symlinks' : None,
    'force create mode' : None,
    'force directory mode' : None,
    'force directory security mode' : None,
    'force group' : None,
    'force security mode' : None,
    'force user' : None,
    'fstype' : None,
    'guest account' : "nobody",
    'guest ok' : "no",
    'guest only' : None,
    'hide dot files' : None,
    'hide files' : None,
    'hosts allow' : None,
    'hosts deny' : None,
    'include' : None,
    'inherit permissions' : None,
    'invalid users' : "None",
    'level2 oplocks' : None,
    'locking' : None,
    'lppause command' : None,
    'lpq command' : None,
    'lpresume command' : None,
    'lprm command' : None,
    'magic output' : None,
    'magic script' : None,
    'mangle case' : None,
    'mangled map' : None,
    'mangled names' : None,
    'mangling char' : None,
    'map archive' : None,
    'map hidden' : None,
    'map system' : None,
    'max connections' : None,
    'max print jobs' : None,
    'min print space' : None,
    'msdfs root' : None,
    'nt acl support' : None,
    'only user' : None,
    'oplock contention limit' : None,
    'oplocks' : None,
    'path' : None,
    'posix locking' : None,
    'postexec' : None,
    'postscript' : None,
    'preexec' : None,
    'preexec close' : None,
    'preserve case' : None,
    'print command' : None,
    'printable' : None,
    'printer admin' : None,
    'printer driver' : None,
    'printer driver location' : None,
    'printer name' : None,
    'printing' : None,
    'public' : None,
    'queuepause command' : None,
    'queueresume command' : None,
    'read list' : None,
    'read only' : "Yes",
    'root postexec' : None,
    'root preexec' : None,
    'root preexec close' : None,
    'security mask' : None,
    'set directory' : None,
    'short preserve case' : None,
    'status' : None,
    'strict allocate' : None,
    'strict locking' : None,
    'strict sync' : None,
    'sync always' : None,
    'use client driver' : None,
    'username' : None,
    'valid users' : "None",
    'veto files' : None,
    'veto oplock files' : None,
    'vfs object' : None,
    'vfs options' : None,
    'volume' : None,
    'wide links' : None,
    'writeable' : 'no',
    'writable' : None,
    'write cache size' : None,
    'write list' : None
    }

synonym_dict = {
    'guest ok' : ['public'],
    'writeable' : ['writable']
    }

inverted_synonym_dict = {
    'writeable' : ['read only']
    }
